Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.page
Class EuidPageAdapter

    java.lang.Object
      com.sun.mdm.index.page.EuidPageAdapter

All Implemented Interfaces:
  PageAdapter, java.io.Serializable

public class EuidPageAdapter
extends java.lang.Object
implements PageAdapter, java.io.Serializable

Given a hashmap of (String)EUID->(Float)Weight, adapt the result for use within page iterator framework. FieldsToRetrieve parameter is read from options and is used to construct query object to get data as needed. Once data is retrieved it remains in memory. Future optimization may include unloading some of the data to conserve resources.

See Also:
  Serialized Form

Constructor Summary
`EuidPageAdapter(java.util.ArrayList list, EOSearchOptions options, int maxElements)` Creates a new instance of EuidPageAdapter

Method Summary
`void` | `activate()` See PageAdapter
`void` | `close()` See PageAdapter
`int` | `count()` See PageAdapter
`boolean` | `hasNext()` See PageAdapter
`void` | `idleTimeOut()` See PageAdapter
`java.lang.Object` | `next()` See PageAdapter
`void` | `passivate()` See PageAdapter
`java.lang.Object` | `prev()` See PageAdapter
`void` | `setCurrentPosition(int index)` See PageAdapter
`void` | `setReadForwardOnly(boolean forwardOnly)` Set the forward only mode that will clear all the DataPage objects of of a given loaded page i when we start reading/loading the next page i+1.
`void` | `sort(java.util.Comparator c)` See PageAdapter
`void` | `sortSummary(java.util.Comparator c)` See PageAdapter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EuidPageAdapter

    public EuidPageAdapter(java.util.ArrayList list,
                           EOSearchOptions options,
                           int maxElements)
                    throws PageException

  Creates a new instance of EuidPageAdapter

  Parameters:
    `list` - List of ScoreElements
    `options` - Search options
    `maxElements` - Maximum number of elements to be handled
  Throws:
    `PageException` - An error occured.

Method Detail

### activate

    public void activate()

  See PageAdapter

  Specified by:
    `activate` in interface `PageAdapter`

### close

    public void close()

  See PageAdapter

  Specified by:
    `close` in interface `PageAdapter`

### count

    public int count()
              throws PageException

  See PageAdapter

  Specified by:
    `count` in interface `PageAdapter`
  Returns:
    See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### hasNext

    public boolean hasNext()

  See PageAdapter

  Specified by:
    `hasNext` in interface `PageAdapter`
  Returns:
    See PageAdapter

### idleTimeOut

    public void idleTimeOut()

  See PageAdapter

  Specified by:
    `idleTimeOut` in interface `PageAdapter`

### next

    public java.lang.Object next()
                          throws PageException

  See PageAdapter

  Specified by:
    `next` in interface `PageAdapter`
  Returns:
    See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### passivate

    public void passivate()

  See PageAdapter

  Specified by:
    `passivate` in interface `PageAdapter`

### prev

    public java.lang.Object prev()
                          throws PageException

  See PageAdapter

  Specified by:
    `prev` in interface `PageAdapter`
  Returns:
    See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### setCurrentPosition

    public void setCurrentPosition(int index)
                            throws PageException

  See PageAdapter

  Specified by:
    `setCurrentPosition` in interface `PageAdapter`
  Parameters:
    `index` - See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### setReadForwardOnly

    public void setReadForwardOnly(boolean forwardOnly)
                            throws PageException

  Set the forward only mode that will clear all the DataPage objects of of a given loaded page i when we start reading/loading the next page i+1.

  Specified by:
    `setReadForwardOnly` in interface `PageAdapter`
  Parameters:
    `forwardOnly` - the
  Throws:
    `PageException` - An error occured.

### sort

    public void sort(java.util.Comparator c)
              throws PageException

  See PageAdapter

  Specified by:
    `sort` in interface `PageAdapter`
  Parameters:
    `c` - See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### sortSummary

    public void sortSummary(java.util.Comparator c)
                     throws PageException

  See PageAdapter

  Specified by:
    `sortSummary` in interface `PageAdapter`
  Parameters:
    `c` - See PageAdapter
  Throws:
    `PageException` - See PageAdapter

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.